curl --request POST \
--url https://api.mervii.com/beta/parcel/intral/track-parcel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tracking_number": "202410082201832"
}
'import requests
url = "https://api.mervii.com/beta/parcel/intral/track-parcel"
payload = { "tracking_number": "202410082201832" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tracking_number: '202410082201832'})
};
fetch('https://api.mervii.com/beta/parcel/intral/track-parcel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mervii.com/beta/parcel/intral/track-parcel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tracking_number' => '202410082201832'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mervii.com/beta/parcel/intral/track-parcel"
payload := strings.NewReader("{\n \"tracking_number\": \"202410082201832\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mervii.com/beta/parcel/intral/track-parcel")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tracking_number\": \"202410082201832\"\n}")
.asString();{
"data": {
"created_at": "2024-10-08T20:31:51.000Z",
"destinations": [
{
"city": "Ojodu Berger",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": "09020500177"
},
"country": "Nigeria",
"country_code": "NG",
"formattedAddress": "Olowora, Ojodu Berger 105102, Lagos, Nigeria",
"lat": 6.6395189,
"lng": 3.3710171,
"local": "Kosofe",
"neighborhood": "Olowora",
"postal_code": "105102",
"price": {
"amount": 1427,
"amount_payable": 1427,
"discount_amount": 0,
"discount_description": "0% discount",
"discount_type": "percentage",
"distance": "7.1 km",
"duration": "17 mins"
},
"region": {
"latitude": 6.6395189,
"longitude": 3.3710171
},
"state": "Lagos",
"state_code": "LA",
"ward": "Isheri-Olowo-Ira/Shangisha/Magodo Phase I & II"
}
],
"discount_description": "See the destination parcel details",
"discount_type": "percentage",
"pickup_origin": {
"city": "Ikeja",
"contacts": {
"email": "abdul@gmail.com",
"name": "Olakunle Olayemi",
"phone_number": "09020500177",
"phone_number_2": "09020500177"
},
"country_code": "NG",
"region": {
"latitude": 6.594019599999999,
"longitude": 3.336365099999999
},
"state_code": "LA"
},
"ref": null,
"status": "Pending",
"total_amount": "1427.00",
"total_amount_payable": "1427.00",
"total_discount_amount": "0.00",
"tracking_number": "202410082201832",
"updated_at": "2024-10-08T20:31:51.000Z"
},
"message": "",
"status": true
}Tracking-parcel
Track Parcel
This endpoint allows you to track a parcel by providing the tracking number.
Request Body
tracking_number(string): The tracking number of the parcel.
Response
-
status(boolean): Indicates if the request was successful. -
message(string): A message related to the request. -
data(object): Contains information about the parcel and its journey.-
pickup_origin(object): Details about the origin of the parcel pickup.-
city(string): City of origin. -
region(object): Geographic coordinates of the origin region. -
contacts(object): Contact information for the origin pickup. -
state_code(string): Code for the origin state. -
country_code(string): Code for the origin country.
-
-
destinations(array): Array of destination objects containing details about the parcel’s journey.-
lat(number): Latitude of the destination. -
lng(number): Longitude of the destination. -
city(string): City of the destination. -
ward(string): Ward of the destination. -
local(string): Local information of the destination. -
price(object): Details about the price and discount for the destination. -
state(string): State of the destination. -
region(object): Geographic coordinates of the destination region. -
country(string): Country of the destination. -
contacts(object): Contact information for the destination. -
state_code(string): Code for the destination state. -
postal_code(string): Postal code of the destination. -
country_code(string): Code for the destination country. -
neighborhood(string): Neighborhood of the destination. -
formattedAddress(string): Formatted address of the destination.
-
-
tracking_number(string): The tracking number of the parcel. -
status(string): Status of the parcel. -
total_amount(string): Total amount related to the parcel. -
total_discount_amount(string): Total discount amount related to the parcel. -
total_amount_payable(string): Total amount payable for the parcel. -
discount_type(string): Type of discount applied. -
discount_description(string): Description of the discount. -
ref(string): Reference related to the parcel. -
created_at(string): Date and time of creation. -
updated_at(string): Date and time of last update.
-
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
"202410082201832"
Was this page helpful?
